package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(course_schedule_statistics):
 */
public class CourseScheduleStatistics {

	/** 课程编号 */
	@ApiModelProperty(value = "课程编号")
	private Long courseScheduleId;
	
	/** 乐团编号 */
	@ApiModelProperty(value = "乐团编号")
	private String musicGroupId;
	
	/** 学员总数 */
	@ApiModelProperty(value = "学员总数")
	private Integer courseStudentTotalNum;
	
	/** 考勤正常人数 */
	@ApiModelProperty(value = "考勤正常人数")
	private Integer attendanceNum;
	
	/** 迟到人数 */
	@ApiModelProperty(value = "迟到人数")
	private Integer lateNum;
	
	/** 达标人数 */
	@ApiModelProperty(value = "达标人数")
	private Integer standardNum;
	
	/** 是否布置作业 */
	@ApiModelProperty(value = "是否布置作业")
	private boolean homeworkFlag;
	
	/** 提交作业人数 */
	@ApiModelProperty(value = "提交作业人数")
	private Integer homeworkCommitNum;
	
	/** 是否服务 */
	@ApiModelProperty(value = "是否服务")
	private boolean serviceFlag;

	@ApiModelProperty(value = "出勤率")
	private String attendanceRate;

	@ApiModelProperty(value = "达标率")
	private String standardRate;

	@ApiModelProperty(value = "作业提交率")
	private String homeworkCommitRate;

	@ApiModelProperty(value = "课程时间")
	private String classDate;

	@ApiModelProperty(value = "课程状态")
	private String courseStatus;

	public String getCourseStatus() {
		return courseStatus;
	}

	public void setCourseStatus(String courseStatus) {
		this.courseStatus = courseStatus;
	}

	public String getClassDate() {
		return classDate;
	}

	public void setClassDate(String classDate) {
		this.classDate = classDate;
	}

	public String getAttendanceRate() {
		return attendanceRate;
	}

	public void setAttendanceRate(String attendanceRate) {
		this.attendanceRate = attendanceRate;
	}

	public String getStandardRate() {
		return standardRate;
	}

	public void setStandardRate(String standardRate) {
		this.standardRate = standardRate;
	}

	public String getHomeworkCommitRate() {
		return homeworkCommitRate;
	}

	public void setHomeworkCommitRate(String homeworkCommitRate) {
		this.homeworkCommitRate = homeworkCommitRate;
	}

	public void setCourseScheduleId(Long courseScheduleId){
		this.courseScheduleId = courseScheduleId;
	}
	
	public Long getCourseScheduleId(){
		return this.courseScheduleId;
	}
			
	public void setMusicGroupId(String musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public String getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setCourseStudentTotalNum(Integer courseStudentTotalNum){
		this.courseStudentTotalNum = courseStudentTotalNum;
	}
	
	public Integer getCourseStudentTotalNum(){
		return this.courseStudentTotalNum;
	}
			
	public void setAttendanceNum(Integer attendanceNum){
		this.attendanceNum = attendanceNum;
	}
	
	public Integer getAttendanceNum(){
		return this.attendanceNum;
	}
			
	public void setLateNum(Integer lateNum){
		this.lateNum = lateNum;
	}
	
	public Integer getLateNum(){
		return this.lateNum;
	}
			
	public void setStandardNum(Integer standardNum){
		this.standardNum = standardNum;
	}
	
	public Integer getStandardNum(){
		return this.standardNum;
	}
			
	public void setHomeworkFlag(boolean homeworkFlag){
		this.homeworkFlag = homeworkFlag;
	}
	
	public boolean isHomeworkFlag(){
		return this.homeworkFlag;
	}
			
	public void setHomeworkCommitNum(Integer homeworkCommitNum){
		this.homeworkCommitNum = homeworkCommitNum;
	}
	
	public Integer getHomeworkCommitNum(){
		return this.homeworkCommitNum;
	}
			
	public void setServiceFlag(boolean serviceFlag){
		this.serviceFlag = serviceFlag;
	}
	
	public boolean isServiceFlag(){
		return this.serviceFlag;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
